Bug 1577301 - [abrt] ironlake_crtc_disable: WARNING: CPU: 3 PID: 122 at drivers/gpu/drm/i915/intel_display.c:1055 intel_disable_pipe+0x138/0x140 [i915] [i915]
Summary: [abrt] ironlake_crtc_disable: WARNING: CPU: 3 PID: 122 at drivers/gpu/drm/i91...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:93e18d271ff153cae94398fc73c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 16:17 UTC by Kristian Wrang
Modified: 2019-05-28 21:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:47:31 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (73.43 KB, text/plain)
2018-05-11 16:17 UTC, Kristian Wrang
no flags Details

Description Kristian Wrang 2018-05-11 16:17:15 UTC
Description of problem:
Started system, no other steps

Additional info:
reporter:       libreport-2.9.5
WARNING: CPU: 3 PID: 122 at drivers/gpu/drm/i915/intel_display.c:1055 intel_disable_pipe+0x138/0x140 [i915]
Modules linked in: i915 crc32c_intel i2c_algo_bit drm_kms_helper serio_raw e1000e drm sdhci_pci firewire_ohci cqhci sdhci firewire_core hid_cherry mmc_core ptp pps_core crc_itu_t video
CPU: 3 PID: 122 Comm: kworker/u16:6 Not tainted 4.16.6-302.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP ProBook 6450b/146D, BIOS 68CDE Ver. F.04 10/27/2010
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:intel_disable_pipe+0x138/0x140 [i915]
RSP: 0018:ffffbbf00140b9d8 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff9929aa8c0000 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000002 RDI: 0000000000000202
RBP: 0000000000070008 R08: 0000000a425e2e82 R09: 0000000000000017
R10: 00000000000002f7 R11: 0000000000030bd8 R12: 0000000000000000
R13: ffff9929ad756000 R14: ffff9929aa8ca800 R15: ffff9929ab992800
FS:  0000000000000000(0000) GS:ffff9929bbcc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055d0a0e15658 CR3: 000000011320a006 CR4: 00000000000206e0
Call Trace:
 ironlake_crtc_disable+0x71/0x740 [i915]
 ? _cond_resched+0x15/0x30
 ? mutex_lock+0xe/0x30
 intel_atomic_commit_tail+0x1be/0xd60 [i915]
 intel_atomic_commit+0x2a6/0x2e0 [i915]
 restore_fbdev_mode_atomic+0x1a8/0x210 [drm_kms_helper]
 drm_fb_helper_restore_fbdev_mode_unlocked+0x45/0x90 [drm_kms_helper]
 drm_fb_helper_set_par+0x29/0x50 [drm_kms_helper]
 intel_fbdev_set_par+0x16/0x60 [i915]
 fbcon_init+0x488/0x600
 visual_init+0xd5/0x130
 do_bind_con_driver+0x1d9/0x2b0
 ? do_take_over_console+0x120/0x180
 ? do_fbcon_takeover+0x58/0xb0
 ? notifier_call_chain+0x47/0x70
 ? blocking_notifier_call_chain+0x3e/0x60
 ? register_framebuffer+0x250/0x340
 ? __drm_fb_helper_initial_config_and_unlock+0x213/0x420 [drm_kms_helper]
 ? intel_fbdev_initial_config+0x14/0x30 [i915]
 ? async_run_entry_fn+0x39/0x160
 ? process_one_work+0x187/0x340
 ? worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? ret_from_fork+0x35/0x40
Code: b9 01 00 00 00 5b 89 c2 5d 41 5c 41 5d e9 71 f1 7b ef 5b 31 f6 5d 41 5c 41 5d e9 14 dd ff ff 48 c7 c7 59 53 50 c0 e8 c2 4e c6 ee <0f> 0b eb c5 0f 1f 40 00 66 66 66 66 90 8b 02 85 c0 7e 66 41 56

Comment 1 Kristian Wrang 2018-05-11 16:17:27 UTC
Created attachment 1435034 [details]
File: dmesg

Comment 2 Wolfgang Ulbrich 2018-07-09 06:39:22 UTC
Description of problem:
Booting my MSI fx700 notebook

Version-Release number of selected component:
kernel-core-4.17.3-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.3-200.fc28.x86_64 root=UUID=55856a17-709e-4d86-8774-761513f6db99 ro resume=UUID=42de7c64-6e7a-4fee-bf5c-96a7a0fd7511 LANG=de_DE.UTF-8 biosdevname=0 net.ifnames=0 rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 rd.plymouth=0 plymouth.enable=0 libahci.ignore_sss=1 raid=noautodetect kernel.perf_event_max_sample= 50000 selinux=0 nodmraid
crash_function: ironlake_crtc_disable
kernel:         4.17.3-200.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 76 at drivers/gpu/drm/i915/intel_display.c:1359 assert_pch_hdmi_disabled+0xc7/0xd0 [i915]
Modules linked in: nouveau i915 rtsx_usb_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit crc32c_intel drm_kms_helper serio_raw drm r8169 mii rtsx_usb video wmi
CPU: 1 PID: 76 Comm: kworker/u16:1 Not tainted 4.17.3-200.fc28.x86_64 #1
Hardware name: MICRO-STAR INTERNATIONAL CO., LTD MS-1751/MS-1751, BIOS E1751IMS.108 02/28/2011
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:assert_pch_hdmi_disabled+0xc7/0xd0 [i915]
RSP: 0018:ffffbb200195f9e8 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff91393bf48000 RCX: 0000000000000001
RDX: 0000000000000000 RSI: 0000000000000002 RDI: 0000000000000202
RBP: 00000000000e1160 R08: 0000000c7473187f R09: 000000000000002a
R10: 0000000000000330 R11: 000000000002e758 R12: 0000000000000000
R13: 00000000000f0008 R14: 0000000000000000 R15: 00000000000f000c
FS:  0000000000000000(0000) GS:ffff91394bc40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000562531cc4248 CR3: 000000015c20a002 CR4: 00000000000206e0
Call Trace:
 ironlake_crtc_disable+0x242/0x720 [i915]
 intel_atomic_commit_tail+0x1e8/0xcb0 [i915]
 intel_atomic_commit+0x2a9/0x2e0 [i915]
 restore_fbdev_mode_atomic+0x1a8/0x210 [drm_kms_helper]
 drm_fb_helper_restore_fbdev_mode_unlocked+0x45/0x90 [drm_kms_helper]
 drm_fb_helper_set_par+0x29/0x50 [drm_kms_helper]
 intel_fbdev_set_par+0x16/0x60 [i915]
 fbcon_init+0x488/0x600
 visual_init+0xd5/0x130
 do_bind_con_driver+0x1d9/0x2b0
 do_take_over_console+0x120/0x180
 do_fbcon_takeover+0x58/0xb0
 notifier_call_chain+0x47/0x70
 blocking_notifier_call_chain+0x3e/0x60
 register_framebuffer+0x250/0x340
 __drm_fb_helper_initial_config_and_unlock+0x213/0x420 [drm_kms_helper]
 intel_fbdev_initial_config+0x14/0x30 [i915]
 async_run_entry_fn+0x39/0x160
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: c0 75 1a 5b 5d 41 5c e9 e8 ef e5 ff 44 89 e2 25 00 00 00 40 c1 e2 1e 39 d0 75 9d eb cf e8 9c 80 e3 f9 0f 0b eb 92 e8 93 80 e3 f9 <0f> 0b eb 89 0f 1f 44 00 00 66 66 66 66 90 53 89 d3 48 8b 87 f8

Comment 3 Ben Cotton 2019-05-02 21:20:55 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 21:47:31 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.